Informazioni sul contenuto di sicurezza di Safari 5.1.7

In questo documento viene descritto il contenuto di sicurezza di Safari 5.1.7.

Questo articolo è stato archiviato e non viene più aggiornato da Apple.

Per proteggere i propri clienti, Apple non divulga, illustra o conferma alcun problema relativo alla sicurezza prima di aver eseguito un'indagine approfondita e messo a disposizione le correzioni o gli aggiornamenti necessari. Per ulteriori informazioni consulta il sito web sulla sicurezza dei prodotti Apple.

Per informazioni sulla chiave PGP per la sicurezza dei prodotti Apple leggi l'articolo "Come usare la chiave PGP per la sicurezza dei prodotti Apple".

Quando possibile, vengono utilizzati ID CVE per fornire ulteriori informazioni sulle vulnerabilità.

Per informazioni su altri aggiornamenti di sicurezza consulta "Aggiornamenti di sicurezza Apple".

Safari 5.1.7

  • WebKit

    Disponibile per: Mac OS X 10.6.8, Mac OS X Server 10.6.8, OS X Lion 10.7.4, OS X Lion Server 10.7.4, Windows 7, Vista, XP SP2 o versioni più recenti

    Impatto: l'accesso a un sito web pericoloso potrebbe causare un attacco di scripting cross-site.

    Descrizione: si verificavano diversi problemi di scripting cross-site in WebKit.

    CVE-ID

    CVE-2011-3046 : Sergey Glazunov, collaboratore del gruppo Pwnium di Google

    CVE-2011-3056: Sergey Glazunov

  • WebKit

    Disponibile per: Mac OS X 10.6.8, Mac OS X Server 10.6.8, OS X Lion 10.7.4, OS X Lion Server 10.7.4, Windows 7, Vista, XP SP2 o versioni più recenti

    Impatto: l'accesso a un sito web pericoloso potrebbe causare una chiusura improvvisa dell'applicazione o l'esecuzione di codice arbitrario.

    Descrizione: si verificava un problema di corruzione della memoria in WebKit.

    CVE-ID

    CVE-2012-0672: Adam Barth e Abhishek Arya del Google Chrome Security Team

  • WebKit

    Disponibile per: Mac OS X 10.6.8, Mac OS X Server 10.6.8, OS X Lion 10.7.4, OS X Lion Server 10.7.4, Windows 7, Vista, XP SP2 o versioni più recenti

    Impatto: visitare un sito pericoloso potrebbe comportare la compilazione di moduli di immissione su un altro sito con valori arbitrari.

    Descrizione: si verificava un problema di tracciamento nella gestione dei moduli da parte di WebKit.

    CVE-ID

    CVE-2012-0676 : Andreas Åkre Solberg di UNINETT AS, Aaron Roots della Deakin University ITSD, Tyler Goen


Nota
: inoltre, questo aggiornamento disattiva Adobe Flash Player se la versione è 10.1.102.64 o versioni meno recenti, spostandone i file in una nuova directory. Questo aggiornamento offre l'opzione di installare una versione aggiornata di Flash Player dal sito web di Adobe.

Le informazioni relative ai prodotti non fabbricati da Apple o ai siti web indipendenti non controllati o testati da Apple vengono fornite senza raccomandazioni o approvazioni. Apple non si assume alcuna responsabilità in merito alla scelta, alle prestazioni o all'utilizzo di prodotti o siti web di terze parti. Apple non esprime alcuna opinione in merito alla precisione o all'affidabilità dei siti web di terze parti. Esistono rischi impliciti nell'uso di internet. Per ulteriori informazioni contattare il fornitore. Altri nomi di aziende e prodotti potrebbero essere marchi dei rispettivi proprietari.

Ultima modifica:
Utile?

Informazioni aggiuntive di supporto al prodotto

Italia (Italiano)